<?php
/**
 * Template part for displaying default posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Winedine
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('posts-list__item default-item invert'); ?>>

	<?php if ( has_post_thumbnail() ) : ?>
		<div class="default-item__thumbnail" <?php winedine_post_overlay_thumbnail( 'winedine-thumb-l' ); ?>></div>
	<?php endif; ?>

	<div class="entry-meta"><?php
		winedine_posted_in( array(
			'delimiter' => '',
			'before'    => '<span class="cat-links btn-style">',
		) );
	?></div>

	<div class="default-item__content">

		<header class="entry-header">
			<div class="entry-meta"><?php
				winedine_posted_by();
				winedine_posted_on( array(
					'prefix' => __( 'Posted', 'winedine' )
				) );
				winedine_post_tags( array(
					'prefix' => __( 'Tags:', 'winedine' )
				) );
			?></div><!-- .entry-meta -->
			<h3 class="entry-title"><?php
				winedine_sticky_label();
				the_title( '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a>' );
			?></h3>
		</header><!-- .entry-header -->

		<?php winedine_post_excerpt(); ?>

		<footer class="entry-footer">
			<div class="entry-meta">
				<?php
					winedine_post_link( array(
						'class'  => 'invert-button'
					) );
					winedine_post_comments( array(
						'prefix' => '<i class="fa fa-comment" aria-hidden="true"></i>',
						'class'  => 'comments-button'
					) );
				?>
			</div>
			<?php winedine_edit_link(); ?>
		</footer><!-- .entry-footer -->

	</div>

</article><!-- #post-<?php the_ID(); ?> -->
